@charset "utf-8";

/*****************************************
*
* フォーム
*
******************************************/


/*---------------------------------------------
親から継承せず、システムデフォルトの体裁を使用してしまう事象の対策
（このタグを入れておけば、placeholderのフォントがbodyのフォントになり、
input::placeholderのフォント指定が不要になる）
----------------------------------------------*/
button, input, select, textarea {
  font-family: inherit;
  font-size: 100%;
}

/* 入力エリア ---------------------------------------------*/
textarea,
input[type="text"],
input[type="tel"],
input[type="email"],
input[type="date"],
input[type="number"] {
  outline: 0;
  padding: 3px 10px;
  border-radius: 3px;
  border: solid 1px var(--color-light-gray);
  background: transparent;
  -webkit-appearance: none;
  -webkit-tap-highlight-color: rgba(52, 152, 219, 0);
}

input:focus,
select:focus,
textarea:focus {
  border: solid 1px var(--color-main);
}

@media screen and (max-width: 767px) {

  /*iOSのズーム回避*/
  textarea,
  input[type="text"],
  input[type="tel"],
  input[type="email"],
  input[type="date"],
  input[type="number"] {
    font-size: 16px;
  }
}

/*上下の矢印消去*/
/* Chrome/Safari */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

/*上下の矢印消去*/
/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

/*---------------------------------------------
プレイスホルダー文字列
※ベンダーフレックスはまとめると何故か効かなくなることがある
----------------------------------------------*/
::placeholder {
  color: #ccc;
}

::-webkit-input-placeholder {
  color: #ccc;
}



/*---------------------------------------------
* select
----------------------------------------------*/
select {
  /* styling */
  background-color: white;
  display: inline-block;
  color: var(--color-text);
  font: inherit;
  padding: 0.3em 3.5em 0.3em 1em;
  border-radius: 3px;
  border: 1px solid var(--color-light-gray);
  /* reset */
  margin: 0;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
  border: none;
}

/* IE reset */
select::-ms-expand {
  display: none;
}

select.minimal {
  border: 1px solid var(--color-light-gray);
  border-radius: 3px;
  background-image:
    linear-gradient(45deg, transparent 50%, var(--color-gray) 50%),
    linear-gradient(135deg, var(--color-gray) 50%, transparent 50%),
    linear-gradient(to right, var(--color-light-gray), var(--color-light-gray));
  background-position:
    calc(100% - 20px) calc(1em + 2px),
    calc(100% - 15px) calc(1em + 2px),
    calc(100% - 2.5em) 0.5em;
  background-size:
    5px 5px,
    5px 5px,
    0px 1.5em;
  background-repeat: no-repeat;
}

/*---------------------------------------------
* radio
同じnameでないと複数選択できてしまう。
----------------------------------------------*/
.mform-radio input[type="radio"] {
  display: none;
}

.mform-radio label {
  position: relative;
  display: inline-block;
  padding: 3px 3px 3px 20px;
  cursor: pointer;
}

.mform-radio label::before {
  position: absolute;
  content: '';
  top: 50%;
  left: 0;
  width: 14px;
  height: 14px;
  margin-top: -8px;
  background: white;
  border: 1px solid var(--color-light-gray);
  border-radius: 100%;
}

.mform-radio input[type="radio"]:checked+label::after {
  position: absolute;
  content: '';
  top: 50%;
  left: 4px;
  width: 8px;
  height: 8px;
  margin-top: -4px;
  background: var(--color-main);
  border-radius: 100%;
}

/*---------------------------------------------
* checkbox
----------------------------------------------*/
.mform-check input[type="checkbox"] {
  display: none;
}

.mform-check label {
  position: relative;
  display: inline-block;
  padding: 3px 3px 3px 22px;
  cursor: pointer;
  transition: all .2s;
}

.mform-check label::before,
.mform-check label::after {
  position: absolute;
  content: '';
  transition: all .2s;
}

.mform-check label::before {
  top: 50%;
  left: 0;
  width: 14px;
  height: 14px;
  margin-top: -8px;
  background: white;
  border: 1px solid var(--color-light-gray);
  border-radius: 3px;
}

.mform-check label::after {
  opacity: 0;
  top: 50%;
  left: 3px;
  width: 8px;
  height: 4px;
  margin-top: -4px;
  border-left: 2px solid var(--color-main);
  border-bottom: 2px solid var(--color-main);
  transform: rotate(-45deg) scale(.5);
}

.mform-check label:hover::before {
  background: white;
}

.mform-check input[type="checkbox"]:checked+label::before {
  background: white;
  border: 1px solid var(--color-main);
}

.mform-check input[type="checkbox"]:checked+label::after {
  opacity: 1;
  transform: rotate(-45deg) scale(1);
}


/*---------------------------------------------
* button
----------------------------------------------*/

/*buttonリセット*/
button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  outline: none;
  background: transparent;
  cursor: pointer;
  padding: 0;
}

.mform-button {
  position: relative;
  display: inline-block;
  background: var(--color-main);
  border-style: solid;
  border-width: 2px;
  border-color: var(--color-main);
  border-radius: 40px;
  text-align: left;
  color: white;
  font-size: 1.1rem;
  font-weight: bold;
  line-height: 1.4;
  padding: 15px 40px;
  transition: all .5s ease;
}

.mform-button:hover {
  text-decoration: none;
  background: transparent;
  color: var(--color-main);
}



/*---------------------------------------------
* submit
----------------------------------------------*/
input[type="submit"] {
  -webkit-appearance: none;
}

.mform-submit {
  cursor: pointer;
  position: relative;
  display: inline-block;
  background: var(--color-main);
  border-style: solid;
  border-width: 2px;
  border-color: var(--color-main);
  border-radius: 40px;
  text-align: left;
  color: white;
  font-size: 1.1rem;
  font-weight: bold;
  line-height: 1.4;
  padding: 15px 40px;
  transition: all .5s ease;
}

.mform-submit:hover {
  text-decoration: none;
  background: transparent;
  color: var(--color-main);
}


/*---------------------------------------------
* レイアウト
----------------------------------------------*/

.mform_text,
.mform_number,
.mform_textarea {
  padding: 2px;
}

.mform_text,
.mform_number {
  width: 300px;
}

.mform_textarea {
  width: 300px;
  height: 100px;
}

@media screen and (min-width: 768px), print {

  .mform_text,
  .mform_number {
    width: 400px;
  }

  .mform_textarea {
    width: 500px;
    height: 200px;
  }
}

/* 入力切り替え（Chrome非対応） ----------------*/
/*IMEオン*/
.mform_text,
.mform_textarea {
  ime-mode: active;
}

/*IMEオフ*/
.mform_number {
  ime-mode: inactive;
}


/* 必須 --------------------------------------*/
.asterisk {
  display: inline-block;
  color: white;
  font-size: 0.6em;
  line-height: 1;
  background: var(--color-red);
  border-radius: 10px;
  padding: 3px 5px;
  margin-left: 5px;
}

/* テキスト --------------------------------------*/
.sub-text {
  font-size: 0.8em;
}

.sub-text.margin {
  margin-bottom: 0.5em;
}

/* フォームレイアウト --------------------------------------*/
.mform-box {
  text-align: left;
  border-top: solid 1px var(--color-light-gray);
  padding-top: 20px;
  margin-top: 20px;
}

.mform-item {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

@media screen and (min-width: 768px), print {
  .mform-box {
    display: flex;
    margin-left: 40px;
  }

  .mform-item {
    flex-shrink: 0;
    width: 14em;
    margin-right: 40px;
  }
}

/* 横並び --------------------------------------*/
.mform-flex {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.mform-flex div {
  margin-right: 10px;
}

/* 住所 --------------------------------------*/
.mform-listbox li {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin-top: 0.5em;
}

.mform-listbox li p {
  width: 5em;
}


/* policy --------------------------------------*/
.mform-policy {
  text-align: left;
  border-top: solid 1px var(--color-light-gray);
  padding-top: 20px;
  margin-top: 30px;
}

.mform-policy .mform-check {
  margin-top: 1em;
}

@media screen and (min-width: 768px), print {
  .mform-policy {
    text-align: center;
    padding-top: 60px;
    margin-top: 40px;
  }
}

/* 送信ボタン --------------------------------------*/
.mform-btn {
  text-align: center;
  margin-top: 40px;
}

@media screen and (min-width: 768px), print {
  .mform-btn {
    margin-top: 60px;
  }
}